Setting up an Internet connection

If you are using Windows Millennium Edition or earlier, or Windows 2000 or earlier, the Internet Connection Wizard provides an easy way to get connected to the Internet.

If you are new to the Internet, the Internet Connection Wizard creates an Internet connection for you, and then displays a list of Internet service providers (ISPs) and information about their services. You can sign up for a new account by clicking an ISP in the list.

If you already have an account with an ISP and want to create an Internet connection to your account, the Internet Connection Wizard collects all the necessary information from you and then creates the connection.

If you are not already running the wizard, you can start it as follows:

  1. Open Internet Options in Control Panel.
  2. On the Connections tab, click Setup.
  3. Follow the instructions on your screen.

Notes

  • If you are using Windows XP, you can use the New Connection Wizard to set up an Internet connection. For more information about setting up in Internet connection in Windows XP, see Windows Help.
  • Another way to open Control Panel is to click Start, point to Settings, and then click Control Panel.
  • You can also open Internet Options from within the browser by clicking the Tools menu and then clicking Internet Options.


Fixing Internet connection problems

This troubleshooter will help you solve problems that the Internet Connection Wizard might encounter while connecting to the Internet Referral Service or your Internet service provider (ISP).

Just click to answer the questions, and try the suggested steps to fix the problem.

What's wrong?

The Internet Connection Wizard could not detect or access my modem.

The wizard could not detect a dial tone.

I hear a busy signal.

I hear a message from the operator.

I hear a ring, but there is no answer or a person answers.

A modem answers, but the wizard cannot establish a connection.

My modem disconnects while I'm signing up for or using the Internet Referral Service.

My modem is fine, but I still can't connect.


Adjust maximum speed

  1. Click Start, point to Settings, click Control Panel, and then click Modems or Phone and Modem Options.
  2. On the General (or Modems) tab, select the modem you are trying to use, and then click Properties.
  3. In the Maximum speed box, make sure the selected speed is equal to or a little lower than your modem's maximum speed.
  4. Click OK, and then click Close.

Note

  • If you are running Windows Millennium Edition, and you do not see Modems, click View All Control Panel Options.
  • If you are running Windows XP, click Start, click Control Panel, click Printers and Other Hardware, and then click Phone and Modem Options.

Did this fix the problem?

Yes. Display overview information.

No. What else could be wrong?


You might have an incompatible modem

Your modem might be incompatible with your telephone system.

For more information, see the documentation that came with your modem. You can also try contacting your telephone company or your phone system administrator.

Go back to the beginning of the troubleshooter.

Display overview information.


Try a different phone number

The phone number you are dialing might not be working. Try one of the following options:

Select a different phone number in the phone book

  1. In the dialing error screen, click Phone Book.
  2. In the Phone number list, click a new number.

    If there is no toll-free number in the list, you might need to make a long-distance call. After you have signed up, your Internet service provider will give you a local access number to gain access to the Internet, if one is available.

  3. Click OK, and then click Next.

Edit the phone number in the dialing error screen

  1. In the Number to be dialed box, edit the phone number.

    The phone number must appear exactly as it will be dialed. If necessary, add a number (for example, 9) to get an outside line, add 1 to dial a long-distance number, or add a country code or area code.

  2. Click Next.

Change how the number is dialed

  1. In the dialing error screen, click Dialing Properties.
  2. Verify that the number appears exactly as it should be dialed.
  3. Click OK, and then click Next.

Did any of these solutions fix the problem?

Yes. Display overview information.


Try a different phone number

The phone number you are dialing might not be working. Try one of the following:

Select a different phone number in the phone book

  1. In the dialing error screen, click Phone Book.
  2. In the Phone number list, click a new phone number.

    If there is not a toll-free number in the list, you might need to make a long-distance call. After you have signed up, your Internet service provider will give you a local access number to gain access to the Internet, if one is available.

  3. Click OK, and then click Next.

Edit the number in the dialing error screen

  1. In the Number to be dialed box, edit the phone number.

    The phone number must appear exactly as it will be dialed. If necessary, add a number (for example, 9) to get an outside line, add 1 to dial a long-distance number, or add a country code or area code.

  2. Click Next.

Change how the number is dialed

  1. In the dialing error screen, click Dialing Properties.
  2. Verify that the number appears exactly as it should be dialed.
  3. Click OK, and then click Next.

Did any of these solutions fix the problem?

Yes. Display overview information.


Check your cables

  1. If you are using an internal or external modem (as opposed to a local area network [LAN] connection), make sure the "wall" or "line" end of your modem cable is connected to a telephone service jack in the wall (often called a "wall jack").
  2. If you are using an external modem, make sure the "phone" end of your modem cable is plugged into your telephone.
  3. Make sure all cable connections are secure.
  4. Verify that your phone cable is working by trying it with your telephone or replacing it with a cable that you know works.
  5. In the dialing error screen, click Next.

Did this fix the problem?

Yes. Display overview information.


Close other programs

  1. Close all programs that might be using the same communications port as your modem, such as any fax software, HyperTerminal, or Phone Dialer.
  2. In the dialing error screen, click Next.

Did this fix the problem?

Yes. Display overview information.


Check the dialing settings for your location

  1. In the dialing error screen, click Dialing Properties.
  2. Make sure the settings under To access an outside line are correct for your telephone system.

    For example, if you are using a telephone system within a company, you might first need to dial 9 (or some other number) to dial an outside line.

  3. Make sure the Tone or Pulse setting is correct for your telephone system.
  4. Click OK, and then click Next.

Did this fix the problem?

Yes. Display overview information.


Next steps

You've encountered a problem that the Internet Connection Wizard Troubleshooter can't help you solve. The network or the server you are trying to connect to might be down for updates or repairs. Try waiting a while and then running the Internet Connection Wizard again.

If you still encounter problems and are trying to connect to the Internet Referral Server, read the Support.txt file, located in the Internet Explorer folder, for support information. If you are trying to connect to the sign-up page for an Internet service provider (ISP), contact the ISP's customer support.

Go back to the beginning of this troubleshooter.

Display overview information.


Next steps

You've encountered a problem that the Internet Connection Wizard Troubleshooter can't help you solve. The network or the server you are trying to connect to might be down for updates or repairs. Try waiting a while and then running the Internet Connection Wizard again.

If you still encounter problems and are trying to connect to the sign-up page for an Internet service provider (ISP) or download software from your ISP, contact the ISP's customer support.

Go back to the beginning of this troubleshooter.

Display overview information.


Specify the call as long distance

  1. In the dialing error screen, click Dialing Properties.
  2. If the Dial as long distance check box is available, make sure it is selected.
  3. If the Area Code Rules button is available, click it, and make sure the settings are correct.
  4. Click OK, and then click Next.

Did this fix the problem?

Yes. Display overview information.


Run modem diagnostics and adjust maximum speed

  1. Close all programs that use the same communications port as your modem, such as any fax software, HyperTerminal, or Phone Dialer.
  2. Click Start, point to Settings, click Control Panel, and then click Modems or Phone and Modem Options.
  3. Click the Diagnostics tab, click the communications port you are using, and then click More Info.

    In the port information section, make a note of the highest speed your UART (Universal Asynchronous Receiver Transmitter) can support.

  4. Click OK.
  5. Click the General tab, and then click Properties.
  6. Set the maximum speed to the highest speed listed in step 3.
  7. Click OK, and then click Close.
  8. In the dialing error screen, click Next.

Notes

  • If you are running Windows Millennium Edition, and you do not see Modems, click View All Control Panel Options.
  • If you are running Windows XP, click Start, click Control Panel, click Printers and Other Hardware, and then click Phone and Modem Options.

Did this fix the problem?

Yes. Display overview information.


Check the power to your modem

If your modem is external, or separate from your computer, you should check the power to your modem.

  1. While your computer is running, turn off your modem, and then turn it on again.
  2. In the dialing error screen, click Next.

Did this fix the problem?

Yes. Display overview information.


Check error and flow control settings

  1. Click Start, point to Settings, click Control Panel, and then click Modems or Phone and Modem Options.
  2. On the General tab, select the modem you are trying to use, and then click Properties.
  3. Make sure the Only connect at this speed check box is clear.
  4. If the Speaker volume option is available, make sure the volume is not set to Low.

    Listening to the modem speaker can help you troubleshoot problems with your modem.

  5. Click the Connection tab, and then click Advanced.
  6. If the Use error control and Compress data settings are available, make sure that they are selected and that Required to connect is not selected.
  7. If the Use flow control and Hardware (RTS/CTS) settings are available, make sure they are selected.
  8. If the Record a log file or Append to log check box is available, select it to create or add to a log file in your Windows folder. This will be useful if you have to call product support.
  9. Click OK, and then click Close.
  10. In the dialing error screen, click Next.

Notes

  • If you are running Windows Millennium Edition, and you do not see Modems, click View All Control Panel Options.
  • If you are running Windows XP, click Start, click Control Panel, click Printers and Other Hardware, and then click Phone and Modem Options.

Did this fix the problem?

Yes. Display overview information.

No. What else could be wrong?

Error and flow control settings are not available.


Select a different modem

  1. In the dialing error screen, select a different modem in the Current modem list.
  2. Click Next.

Did this fix the problem?

Yes. Display overview information.


Contact your telephone company or phone system administrator

If you don't hear a dial tone, your organization or telephone might not support this type of outside call, or might require an additional access code.

  • Contact your local telephone company or phone system administrator for information.

Go back to the beginning of the troubleshooter.

Display overview information.


Are you using more than one modem?

No.

Yes, at least two modems are installed on my computer.


What message do you get?

"You must first dial 1 and then the area code."

A different message.


Which operating system are you running?

Windows 98, Windows Millennium Edition, or Windows XP

Windows NT or Windows 2000


Which operating system are you running?

Windows 98 or Windows Millennium Edition

Windows NT or Windows 2000


Redial the current phone number

  • In the dialing error screen, click Next to retry the current phone number.

Did this fix the problem?

Yes. Display overview information.


Check whether someone else is trying to use the same phone line

  • If someone else has picked up a telephone that uses the same phone line that your modem uses, your connection will be interrupted. After the other person has hung up, click Next in the dialing error screen to re-establish your connection.

Did this fix the problem?

Yes. Display overview information.


Redial the current phone number

  • In the dialing error screen, click Next to redial the current phone number.

Did this fix the problem?

Yes. Display overview information.


Uninstall and reinstall your modem

  1. In the dialing error screen, click Cancel.
  2. Click Start, point to Settings, click Control Panel, and then click Modems or Phone and Modem Options.
  3. On the General tab, select the modem you are trying to use to set up your Internet connection, and then click Remove.
  4. Click Add, and then follow the steps for installing a modem. This reinstalls your modem.
  5. Restart your computer.
  6. Restart the Internet Connection Wizard.

Notes

  • If you are running Windows Millennium Edition, and you do not see Modems, click View All Control Panel Options.
  • If you are running Windows XP, click Start, click Control Panel, click Printers and Other Hardware, and then click Phone and Modem Options.

Did this fix the problem?

Yes. Display overview information.


Uninstall and reinstall your modem

I am running Windows NT.

To uninstall and reinstall your modem, you must first uninstall the Remote Access Server (RAS). The Internet Connection Wizard automatically reinstalls RAS. However, you will need to supply your Windows installation disks.

You will also be required to restart your computer, so you may want to print this Help topic. To print this topic, click the Options button, and then click Print Topic.

To uninstall and reinstall your modem

  1. In the dialing error screen, click Cancel.
  2. On the desktop, right-click Network Neighborhood, and then click Properties.
  3. Click the Services tab.
  4. In the Network services box, click Remote Access Service, and then click Remove.
  5. Follow the instructions on your screen.
  6. After you have finished removing RAS, uninstall your modem: Click the Start button, point to Settings, and then click Control Panel.
  7. Double-click the Modems icon.
  8. On the General tab, select the modem you are trying to use to set up your Internet connection, click Remove, and then follow the instructions on your screen.
  9. Restart the Internet Connection Wizard.

Did this fix the problem?

Yes. Display overview information.

No. What else could be wrong?

I am running Windows 2000.

  1. Click Start, point to Settings, clickControl Panel, and then click Phone and Modem Options.
  2. On the Modems tab, click the modem that you want to delete.
  3. Click Remove.
  4. Restart the Internet Connection Wizard.

Did this fix the problem?

Yes. Display overview information.


Check the call-waiting setting

  1. In the dialing error screen, click Dialing Properties.
  2. If your telephone system has call waiting, it should be turned off while you are dialing from your computer. You can turn it off by clicking the appropriate value for your telephone system in the To disable call waiting, dial list.

    For example, for many phone systems, you should click *70 in the list to turn off call waiting. If you are not sure which value to use, contact your telephone company or your phone system administrator.

  3. Click OK, and then click Next.

Did this fix the problem?

Yes. Display overview topic.


Listen for a dial tone

  1. Click Start, point to Settings, click Control Panel, and then click Modems or Phone and Modem Options.
  2. On the General tab, select the modem you are using, and then click Properties.
  3. If the Speaker volume option is available, make sure it is not set to Low.
  4. Click OK, and then click Close.
  5. In the dialing error screen, click Next.

Notes

  • If you are running Windows Millennium Edition, and you do not see Modems, click View All Control Panel Options.
  • If you are running Windows XP, click Start, click Control Panel, click Printers and Other Hardware, and then click Phone and Modem Options.

Did you hear a dial tone?

Yes. What should I do next?


Check the tone/pulse dialing setting

Check the tone or pulse dialing setting

  1. In the dialing error screen, click Dialing Properties.
  2. Make sure the Tone or Pulse setting is correct for your telephone system.
  3. Click OK, and then click Next.

Did this fix the problem?

Yes. Display overview topic.


Using an existing Internet connection

Choose this option if any of the following is true:

  • Your computer is already set up to connect to the Internet.
  • You already have an account with an Internet service provider (ISP).
  • The Internet software required by your ISP is set up on your computer.
  • You do not want to change your Internet settings.

    Choosing this option bypasses the Internet Connection Wizard and starts Internet Explorer the next time you double-click the Internet Explorer icon on your desktop. In the Use an Existing Internet Connection screen, click Finish to close the wizard and complete this task. To choose a different option, click Back.

You can start the Internet Connection Wizard at any time from the Start menu.


Specifying the type of local area network (LAN) connection

Use the Proxy Server screen to specify whether your LAN uses a proxy server to connect to the Internet. A proxy server is a computer on your LAN that connects to the Internet without compromising the security of your internal network. If you are not sure how your LAN connects to the Internet, contact your system administrator. Do one of the following:

  • If your LAN uses a proxy server to connect to the Internet, click Yes, and then click Next. If you choose this option, you need to provide the wizard with the following information:
    • Names and ports of the proxy servers your LAN uses to connect to the Internet.
    • Internet addresses you want to connect to without using a proxy server. For example, you might not want to use the proxy server to contact other computers on your LAN.
  • If your LAN does not use a proxy server and is directly connected to the Internet, click No, and then click Next.